Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# HTTPInputSource Class Reference
[IO core interfaces]

Inheritance diagram for HTTPInputSource:

## Detailed Description

Implements reading from HTTP URLs.

Implemented only for win32 systems using wininet API.

Todo:
  UNIX version...

## Public Methods

| HTTPInputSource (const String *basePath, HTTPInputSource *base)
| Creates stream from http protocol url.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const

## Protected Methods

InputSource * | createRelative (const String *relPath)

## Constructor & Destructor Documentation

HTTPInputSource::HTTPInputSource | ( | const String * | basePath,
|  | HTTPInputSource * | base
| ) |

Creates stream from http protocol url.

Parameters:

  basePath | URL to open (can be relative).
  base | Parent input source, to use as base url for relative URLs.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.